commit:     e51c3e07f5d91f5eed7ff88e41dd78f9418a86b9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  8 00:44:42 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Sep  8 00:44:54 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e51c3e07

sys-devel/crosstool-ng: add 1.28.0

Closes: https://bugs.gentoo.org/921554
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-devel/crosstool-ng/Manifest                   |  1 +
 sys-devel/crosstool-ng/crosstool-ng-1.28.0.ebuild | 84 +++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/sys-devel/crosstool-ng/Manifest b/sys-devel/crosstool-ng/Manifest
index 160f5ec32490..c76883c7a52f 100644
--- a/sys-devel/crosstool-ng/Manifest
+++ b/sys-devel/crosstool-ng/Manifest
@@ -1 +1,2 @@
 DIST crosstool-ng-1.27.0.tar.xz 1163084 BLAKE2B 
6f9c7e16a6bdccbfd31fd7839df59878deedf193251ef0896bfde79b9b844646b83316fdaf26ca826377375cc36f77e6ddf6503c10ca30dbcf9d9086b3272830
 SHA512 
2201106561a199ebaddd238ed5158f62f63787333b87d2692aa726ad21bc90b08483deed7257fc35af995e355cfb567d7550b5ea171259ec5a0e0c3bee3b3ca2
+DIST crosstool-ng-1.28.0.tar.xz 2448288 BLAKE2B 
689bcf01d47273336073ee09edf2eb419539dc22954a4bd9d0443c32d9a7556c5492aaf5e5f22c6db072e9c28f6ab995f5b93b389432cf81f5c478b46b1d51b4
 SHA512 
2c3a5561e44a92a114c02468831a89f2645de1c669b4abb58ae72da00cf00f25357eb197222839eff2ed00e2a3580cc5f03479958488b259b35dc18b8ceb7fc3

diff --git a/sys-devel/crosstool-ng/crosstool-ng-1.28.0.ebuild 
b/sys-devel/crosstool-ng/crosstool-ng-1.28.0.ebuild
new file mode 100644
index 000000000000..2a0c5d8f9e91
--- /dev/null
+++ b/sys-devel/crosstool-ng/crosstool-ng-1.28.0.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+inherit python-single-r1
+
+DESCRIPTION="Versatile (cross-)toolchain generator"
+HOMEPAGE="https://crosstool-ng.github.io/";
+
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/crosstool-ng/crosstool-ng.git";
+       inherit autotools git-r3
+else
+       SRC_URI="
+               
https://github.com/crosstool-ng/crosstool-ng/releases/download/${PN}-${PV/_rc/-rc}/${P}.tar.xz
+               http://crosstool-ng.org/download/crosstool-ng/${P}.tar.xz
+       "
+
+       if [[ ${PV} != *_rc* ]] ; then
+               KEYWORDS="~amd64 ~x86"
+       fi
+fi
+
+LICENSE="GPL-2 doc? ( CC-BY-SA-2.5 )"
+SLOT="0"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+IUSE="curl cvs doc dtc git lzip meson ninja python rsync subversion wget"
+
+# TODO: Consider dropping these USE (optfeature), but configure does check for 
them
+BDEPEND="
+       app-arch/unzip
+       >=app-shells/bash-3.1
+       sys-apps/help2man
+       >=sys-apps/sed-4.0
+       sys-apps/gawk
+       sys-apps/texinfo
+       sys-apps/which
+       sys-devel/bison
+       sys-devel/flex
+       curl? ( net-misc/curl )
+       cvs? ( dev-vcs/cvs )
+       dtc? ( sys-apps/dtc )
+       git? ( dev-vcs/git )
+       lzip? ( app-arch/lzip )
+       meson? ( dev-build/meson )
+       python? ( ${PYTHON_DEPS} )
+       ninja? ( app-alternatives/ninja )
+       rsync? ( net-misc/rsync )
+       subversion? ( dev-vcs/subversion )
+       wget? ( net-misc/wget )
+"
+RDEPEND="
+       ${BDEPEND}
+"
+
+src_prepare() {
+       if [[ ${PV} == 9999 ]]; then
+               # Some data files must be generated before autoreconf, and the 
logic
+               # is non-trivial, so the upstream bootstrap script must be used.
+               # In addition, eautoreconf mis-detects the project to make use 
of
+               # gettext while it actually isn't, so just rely on the 
invocation of
+               # autoreconf for us in the bootstrap script.
+               ./bootstrap || die "bootstrap failed"
+       fi
+
+       default
+}
+
+src_configure() {
+       # Needs bison+flex
+       unset YACC LEX
+
+       CONFIG_SHELL="${BROOT}"/bin/bash econf
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       rm -f "${ED}"/usr/share/man/man1/ct-ng.1.gz || die
+       doman docs/ct-ng.1
+}

Reply via email to